#' @method plot
#' @S3method plot proCirc
########################### hier die plot method #############################
#plot.proCirc<-function(x, hexa=TRUE,names.hexa= c("Rea.","Inv.","Art.","Soc.","Ent.","Con."),main=paste("plot for",x$empirisch$Mplus.datei,x$projektion$Mplus.datei,sep=" "),lwd=3,lty=c("dotted","solid","solid"),line.col=c("red","blue","black"),...)

plot.proCirc<-function(x,main="def", lcolor=c("red","red","blue","blue","green","green"), ltype=c(2,1,2), hexa=TRUE, seg=TRUE ,lwd=3, ...) 
  {
    if(main=="def"){main<-paste("plot for",x$empirisch$Mplus.datei,x$projektion$Mplus.datei,sep=" ")}
    #if(main==""){main<-paste( "angular locations for ",deparse(substitute(x)),sep="")}
    #plot( 1:10,1:10, type="n",asp=1)
    #parameter:-------------------------
    # x<- test # plotting objekt  (ergebnis von Circ_emp)
    # hochkant stehendes Hexagon fest eingestellt Realistic ist oben
    gr<-5 # grösse der plotting area
    r=4 #radius des hexagons
    nseg=7 # segmente eigentlich hier konstant, da hexagon
    x.cent <- 0  # zeichnen in der Mitte 
    y.cent <- 0  # zeichnen in der Mitte
    # lcolor <- c("red","red","blue","blue","green","green") #farbe: hexag, beschriftunghexagon, empirisch,beschriftungempirisch, projektion, beschriftungprojektion
    # ltype  <- c(2,1,2) # linientyp: hexag, empirisch, projektion
    # seg <- TRUE
    # hexa <- TRUE
    #-----------------------------------
    H<-seq((0),((2*pi)), length.out=nseg) # 0 - 360 grad in 60 
    plot.new()
    plot.window(xlim=c(-gr,gr), ylim=c(-gr,gr),asp=1)
    Hxx <- x.cent + r*sin( H )
    Hyy <- y.cent + r*cos( H )
    # [1] hexagon aussenlinien plotten ------------
    if(hexa==TRUE){ 
    lines(Hxx,Hyy, col=lcolor[1],lty=ltype[1],lwd=lwd) # hexagon aussenlinien plotten
    
    # [1] optional segmente ploten--------------
    if (seg==TRUE){ 
      for (i in 1:(nseg-1)){
        lines(c(x.cent,Hxx[i]),c(y.cent,Hyy[i]), col=lcolor[1],lty=ltype[1],lwd=lwd) # hexagon center linien plotten --- col=c("green","blue","yellow","pink","red","black")[i]
      }}
    
    # [2] perfekt beschriftungen hinzufügen --------------------
    BP <- colnames(x$empirisch$mat) # Beschriftung
    BPxx <- x.cent + (r+.4)*sin( H[1:6] )
    BPyy <- y.cent + (r+.4)*cos( H[1:6] )
    text(BPxx,BPyy, labels= BP, col=lcolor[2]) # hexagon beschriftungen plotten col=c("green","blue","yellow","pink","red","black")
    }
    # [3] plotten der empirischen winkel ----------------------
    #x$empirisch$mat[1,] #empirisch x$mat[2,] #perfect
    rwink<-(x$empirisch$mat[1, ]) #empirische winkel 
    Exx <- x.cent + r*sin((rwink))
    Eyy <- y.cent + r*cos((rwink))
    for (i in 1:6){
      lines(c(x.cent,Exx[i]),c(y.cent,Eyy[i]),col=lcolor[3],lty=ltype[2],lwd=lwd) # empirische linien plotten col=c("green","blue","yellow","pink","red","black")[i] col=lcolor[3]
    }  
    # [4] empirisch beschriftungen hinzufügen -----------------------
    BE <- colnames(x$empirisch$mat)  # 
    BExx <- x.cent + (r-.7)*sin( (rwink+.1) ) # +.1-> stehen links daneben
    BEyy <- y.cent + (r-.7)*cos( (rwink+.1) ) #
    text(BExx,BEyy, labels= BE, col=lcolor[4]) # empirisch beschriftungen plotten col=c("green","blue","yellow","pink","red","black")
    
# [5] plotten der projektion winkel ----------------------
#x$empirisch$mat[1,] #empirisch x$mat[2,] #perfect
pwink<-x$projektion$winkel.rad #projektion winkel start korrigiert
Pxx <- x.cent + r*sin(pwink)
Pyy <- y.cent + r*cos(pwink)
for (i in 1:length(pwink)){
  lines(c(x.cent,Pxx[i]),c(y.cent,Pyy[i]),col=lcolor[5] ,lty=ltype[3],lwd=lwd) # projektion linien plotten col=lcolor[5] col=c("green","blue","yellow","red","black")[i]
}  
# [6] projektion beschriftungen hinzufügen -----------------------
PE <- names(x$projektion$winkel.rad)
PExx <- x.cent + (r-.9)*sin( (pwink-.1) ) # +.1-> stehen rechts daneben
PEyy <- y.cent + (r-.9)*cos( (pwink-.1) ) #
text(PExx,PEyy, labels= PE, col=lcolor[6]) # projektion beschriftungen plotten  col=c("green","blue","yellow","red","black")

}
  
  