#' @title writing R matrix objects as .dat text files
#' @export writedat
# @docType function
#' @description this function writes R matrix objects as .dat text files to be read by Mplus.
#' @details no details.
#' @param ob the R-object to bewritten as .dat file.
#' @param file optionaly the name of the .dat file as character - default is objectname.dat.
#' @param ... additional parameters passed through.
#' @return a .dat text file by default written in the current workspace directory. 
#' @examples ## writing R-object example1 as example1.dat
#' data(example1)
#' writedat(example1) 

############## funktions beginn ####
writedat <-function(ob,file = paste(deparse(substitute(ob)),".dat",sep=""), ...) 
{
  write.table(ob, file = file, row.names = F, col.names = F, sep = "\t")
}
# ende der funktion             
