\name{Mplus_esyn}
\alias{Mplus_esyn}
\title{generating Mplus syntax for empirical RIASEC angular locations}
\usage{
  Mplus_esyn(N, Kor, name = "", dummyvorl = 1, ...)
}
\arguments{
  \item{N}{number of observations for correlations as
  numeric}

  \item{Kor}{either an R matrix object with RIASEC
  correlations or the name of a correlation matrix, stored
  as a .dat text file, as character (see details).}

  \item{name}{optional a name (as character) for the Mplus
  syntax to be saved - default is the object name or the
  name given in paramter \code{Kor} as character (with
  ending changed to '.inp').}

  \item{dummyvorl}{default is dummyvorl = 1, which results
  in the Mplus syntax given in Nagy et. al. (2009). !!
  don't change this !! if changed: \emph{"Alternativ dazu
  kann hier auch der Name einer zu verwendenden
  Dummyvorlage angegeben werden die dann eingelesen und
  verwendet wird. Es empfiehlt sich dringend die interne
  Syntaxvorlage zu verwenden - es sei den zum
  weiterentwickeln und Testen der Funktionen"}.}

  \item{...}{additional parameters passed through}
}
\value{
  resulting Mplus syntax wil be saved in the current
  working directory
}
\description{
  This function generates executable Mplus syntax which is
  discussed in Nagy et. al. (2009). the resulting Mplus
  syntax estimates the angular locations of the six RIASEC
  dimensions, based on their correlations, in the asumed
  circumplex array within the theory of vocational choice
  by John Holland (1997).
}
\details{
  more to come ...
}
\examples{
## generating an example Mplus syntax refering to a correlation data stored in the already existing text file example1.dat
Mplus_esyn(N = 300, Kor = "example1.dat")
#########################################
## generating an example Mplus syntax refering to a R object with correlation data
data(example1) # loading fictional example correlation matrix
Mplus_esyn(N = 300, Kor = example1)
}
\references{
  Holland, J.L. (1997). \emph{Making vocational choices. A
  theory of vocational personalities and work
  environments}. Lutz, FL: Psychological Assessment
  Resources.

  Nagy, G., Marsh, H. W., Luedtke, O., & Trautwein, U.
  (2009). Representing circles in our minds: Confirmatory
  factor analysis of circumplex structures and profiles. In
  T. Teo & M. S. Khine (Hrsg.), \emph{Structural Equation
  Modeling in Educational Research: Concepts and
  applications} (S. 287 - 315). Rotterdam Boston Taipei:
  Sense Publishers.
}

